GET states

disease.sh:covid-19-api-disease.sh

Summary: Get COVID-19 statistics for US states
Operation ID: getAllStates
Auth: none

Returns an array of COVID-19 statistics for all US states and territories. Each state object includes cases, deaths, recovered counts, and per-capita metrics. This is the US-specific equivalent of /countries, providing state-level breakdowns within the United States. The data structure is similar but simpler than country data - states don't have ISO codes or flags, but do include population figures for per-capita calculations.

Original spec description

Returns an array of COVID-19 data for all US states and territories.

Usage Tips

- Use `sort=cases` or `sort=deaths` to rank states by impact - The response includes US territories (Puerto Rico, Guam, etc.) in addition to the 50 states - Combine with `yesterday=true` to see day-over-day changes - State names are returned as full names ("California", "New York") not abbreviations - For county-level data within a state, use the /historical/{country} endpoint with province parameter

Parameters (3)

allowNull (string, query, optional)

Allow null values in response

Constraints: {'enum': ['true', 'false']}

sort (string, query, optional)

Sort results by a specific field

Constraints: {'enum': ['cases', 'deaths', 'recovered', 'active', 'population']}

yesterday (string, query, optional)

Include yesterday's data

Constraints: {'enum': ['true', 'false', '1', '0']}

Examples (3)

TitleTypeURLAction
Get all states with default sorting curl https://disease.sh/v3/covid-19/states
Get all states sorted by cases curl https://disease.sh/v3/covid-19/states?sort=cases
Get yesterday's data sorted by deaths curl https://disease.sh/v3/covid-19/states?sort=deaths&yesterday=true

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:17:26.154837 200 103ms
2026-03-23 09:02:02.530428 200 109ms
2026-03-23 09:00:36.748080 200 121ms

Response Changes

WhenOldNew
2026-03-23 09:02:02.530428 14ee9125f8c6 21d2778aaa09
2026-03-23 10:17:26.154837 21d2778aaa09 ae11754661d7